Subject: RE: Bug in chere
From: Dave <[email-masked]>
To: [email-masked]
Cc: Nils Jeppe <[email-masked]>
Date: Wed, 15 Jun 2005 11:41:19 -0700 (PDT)

--- Nils Jeppe wrote:
> On Tue, 14 Jun 2005, Dave wrote:
> > If I understand what you mean, then I don't think it's possible. However, if
> you
> > can find either:
> > a) the appropriate registry key to modify
 <snip>
> the way to do this is via 
> \HKEY_CLASSES_ROOT\Directory\Background\shellex\ContextMenuHandlers, but I 
> admit happily to being clueless about the windows registry :D

So it can be done using shell extensions. These require a bit of COM
programming, producing a .dll that needs to be registered.

There are a number of issues:
1. This will only work on shell v4.71 and later apparently - but I don't know
how that ties into versions of Windows.

My MS compiler is a little stale (~v4), so:
2. Are necessary COM headers/templates are available for gcc?
3. And whether gcc would produce a compatible binary?

Finally,
4. Is the extra context menu item worth the effort?

I don't think I'll be able to get around to this for a while (if at all).

For anyone that's interested, here's a link that describes what is required:

http://www.codeproject.com/shell/ShellExtGuide1.asp

Regards,

Dave.

		
__________________________________ 
Discover Yahoo! 
Use Yahoo! to plan a weekend, have fun online and more. Check it out! 
http://discover.yahoo.com/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/